libqt5sql-devel-5.2.0-2.4.mga4.i586.rpm


Advertisement

Description

libqt5sql-devel - Devel files needed to build apps based on QtSql

Property Value
Distribution Mageia 4.1
Repository Mageia Core Updates i586
Package name libqt5sql-devel
Package version 5.2.0
Package release 2.4.mga4
Package architecture i586
Package type rpm
Installed size 63.86 KB
Download size 21.83 KB
Official Mirror distrib-coffee.ipsl.jussieu.fr
Devel files needed to build apps based on QtSql.

Alternatives

Package Version Architecture Repository
libqt5sql-devel-5.2.0-2.5.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5sql-devel-5.2.0-2.3.mga4.i586.rpm 5.2.0 i586 Mageia Core Updates
libqt5sql-devel-5.2.0-2.mga4.i586.rpm 5.2.0 i586 Mageia Core
libqt5sql-devel - - -

Requires

Name Value
devel(libQt5Core) -
devel(libstdc++) -
libqt5sql5 == 5.2.0
pkgconfig -
pkgconfig(Qt5Core) -
qtbase5-common == 5.2.0
qtbase5-common-devel == 5.2.0-2.4.mga4
qtbase5-database-plugin-mysql -
qtbase5-database-plugin-odbc -
qtbase5-database-plugin-pgsql -
qtbase5-database-plugin-sqlite -
qtbase5-database-plugin-tds -

Provides

Name Value
devel(libQt5Sql) -
libqt5sql-devel == 5.2.0
libqt5sql-devel == 5.2.0-2.4.mga4
libqt5sql-devel(x86-32) == 5.2.0-2.4.mga4
libqtsql5-devel == 5.2.0
pkgconfig(Qt5Sql) == 5.2.0
qt5sql-devel == 5.2.0
qtsql5-devel == 5.2.0

Download

Type URL
Binary Package libqt5sql-devel-5.2.0-2.4.mga4.i586.rpm
Source Package qtbase5-5.2.0-2.4.mga4.src.rpm

Install Howto

  1. Enable Mageia Core Updates repository on Install and Remove Software
  2. Update packages list:
    # urpmi.update -a
  3. Install libqt5sql-devel rpm package:
    # urpmi libqt5sql-devel

Files

Path
/usr/lib/libQt5Sql.prl
/usr/lib/libQt5Sql.so
/usr/lib/cmake/Qt5Sql/Qt5SqlConfig.cmake
/usr/lib/cmake/Qt5Sql/Qt5SqlConfigVersion.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QMYSQLDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QODBCDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QPSQLDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QSQLiteDriverPlugin.cmake
/usr/lib/cmake/Qt5Sql/Qt5Sql_QTDSDriverPlugin.cmake
/usr/lib/pkgconfig/Qt5Sql.pc
/usr/lib/qt5/include/QtSql/QSql
/usr/lib/qt5/include/QtSql/QSqlDatabase
/usr/lib/qt5/include/QtSql/QSqlDriver
/usr/lib/qt5/include/QtSql/QSqlDriverCreator
/usr/lib/qt5/include/QtSql/QSqlDriverCreatorBase
/usr/lib/qt5/include/QtSql/QSqlDriverPlugin
/usr/lib/qt5/include/QtSql/QSqlError
/usr/lib/qt5/include/QtSql/QSqlField
/usr/lib/qt5/include/QtSql/QSqlIndex
/usr/lib/qt5/include/QtSql/QSqlQuery
/usr/lib/qt5/include/QtSql/QSqlQueryModel
/usr/lib/qt5/include/QtSql/QSqlRecord
/usr/lib/qt5/include/QtSql/QSqlRelation
/usr/lib/qt5/include/QtSql/QSqlRelationalDelegate
/usr/lib/qt5/include/QtSql/QSqlRelationalTableModel
/usr/lib/qt5/include/QtSql/QSqlResult
/usr/lib/qt5/include/QtSql/QSqlTableModel
/usr/lib/qt5/include/QtSql/QtSql
/usr/lib/qt5/include/QtSql/QtSqlDepends
/usr/lib/qt5/include/QtSql/QtSqlVersion
/usr/lib/qt5/include/QtSql/qsql.h
/usr/lib/qt5/include/QtSql/qsqldatabase.h
/usr/lib/qt5/include/QtSql/qsqldriver.h
/usr/lib/qt5/include/QtSql/qsqldriverplugin.h
/usr/lib/qt5/include/QtSql/qsqlerror.h
/usr/lib/qt5/include/QtSql/qsqlfield.h
/usr/lib/qt5/include/QtSql/qsqlindex.h
/usr/lib/qt5/include/QtSql/qsqlquery.h
/usr/lib/qt5/include/QtSql/qsqlquerymodel.h
/usr/lib/qt5/include/QtSql/qsqlrecord.h
/usr/lib/qt5/include/QtSql/qsqlrelationaldelegate.h
/usr/lib/qt5/include/QtSql/qsqlrelationaltablemodel.h
/usr/lib/qt5/include/QtSql/qsqlresult.h
/usr/lib/qt5/include/QtSql/qsqltablemodel.h
/usr/lib/qt5/include/QtSql/qtsqlversion.h

Changelog

2015-02-28 - lmenut <lmenut> 5.2.0-2.4.mga4
+ Revision: 817206
- add upstream patch to fix DoS vulnerability in the BMP image handler
(CVE-2015-0295) mga#15383
+ luigiwalser <luigiwalser>
- add patch from upstream via fedora to fix CVE-2014-0190
+ neoclust <neoclust>
- Fix previous commit by moving requires in the good package
- Fix Requires in qtsql5-devel
2013-12-14 - fwang <fwang> 5.2.0-2.mga4
+ Revision: 556694
- 5.2.0 final
2013-12-01 - fwang <fwang> 5.2.0-1.rc1.1.mga4
+ Revision: 554396
- 5.2.0 rc1
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.2.mga4
+ Revision: 547083
- use xkbcommon instead
- br xcb-xkb
2013-10-26 - fwang <fwang> 5.2.0-1.beta1.1.mga4
+ Revision: 547072
- 5.2.0 beta1
2013-10-21 - umeabot <umeabot> 5.2.0-1.alpha.2.mga4
+ Revision: 538802
- Mageia 4 Mass Rebuild
2013-10-02 - neoclust <neoclust> 5.2.0-1.alpha.1.mga4
+ Revision: 490404
- New version 5.2.0 alpha
2013-09-26 - fwang <fwang> 5.2.0-0.0.20130523.9.mga4
+ Revision: 486794
- rebuild for icu 52
2013-08-10 - wally <wally> 5.2.0-0.0.20130523.8.mga4
+ Revision: 465090
- add more cmake fixes (rediff patch)
2013-08-10 - neoclust <neoclust> 5.2.0-0.0.20130523.7.mga4
+ Revision: 465081
- Add fedora patch to fix cmake path search

See Also

Package Description
libqt5sql-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtSql
libqt5sql5-5.2.0-2.3.mga4.i586.rpm Qt5 Component Library
libqt5sql5-5.2.0-2.4.mga4.i586.rpm Qt5 Component Library
libqt5sql5-5.2.0-2.5.mga4.i586.rpm Qt5 Component Library
libqt5test-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-private-devel-5.2.0-2.3.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-private-devel-5.2.0-2.4.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test-private-devel-5.2.0-2.5.mga4.i586.rpm Devel files needed to build apps based on QtTest
libqt5test5-5.2.0-2.3.mga4.i586.rpm Qt5 Component Library
libqt5test5-5.2.0-2.4.mga4.i586.rpm Qt5 Component Library
libqt5test5-5.2.0-2.5.mga4.i586.rpm Qt5 Component Library
Advertisement
Advertisement